Install issue on Pi

I am seeing the following error on the Pi during Step 8: Install Dependencies:

sudo apt-get install build-essential python3 python3-dev python3-virtualenv python3-numpy python3-picamera python3-pandas python3-rpi.gpio i2c-tools avahi-utils joystick libopenjp2-7-dev libtiff5-dev gfortran libatlas-base-dev libopenblas-dev libhdf5-serial-dev git

results in:
Err:1 http://raspbian.raspberrypi.org/raspbian buster/main armhf libexpat1-dev armhf 2.2.6-1
  404  Not Found [IP: 93.93.128.193 80]
E: Failed to fetch http://raspbian.raspberrypi.org/raspbian/pool/main/e/expat/libexpat1-dev_2.2.6-1_armhf.deb  404  Not Found [IP: 93.93.128.193 80]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

I have tried 'sudo apt-get update' . It says:
E: Repository 'http://raspbian.raspberrypi.org/raspbian buster InRelease' changed its 'Suite' value from 'testing' to 'stable'

N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details.

I have also tried installing the dependencies with --fix-missing and still no joy.  

Any ideas why this is not working?

Hi,
this is a debian buster feature :slight_smile:
You need to agree your release change first.

sudo apt-get update --allow-releaseinfo-change

https://www.raspberrypi.org/forums/viewtopic.php?f=91&t=245022

Happy update

Cheers
Chrimo

BTW: Is DonkeyCar 3.0 ready for buster ? DonkeyCar 3.0 is out

That worked, thank you!

1 Like